<?php 

if(!defined("IN_MYBB"))
{
 die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("global_start", "alexa_start");

//All the information about the plugin. 
function alexa_info()
{
 return array(
 "name" => "هاك صندوق اليكسا بالفوتر",
 "description" => "يساعدك في اضافة صندوق اليكسا بالفوتر بشكل سهل وبسيط.",
 "website" => "http://www.aryan-translators.ir",
 "author" => "Hamed.Ramzi",
 "authorsite" => "http://www.aryan-translators.ir",
 "version" => "1.0",
 "compatibility" => "*",
 "guid" => "15812aff23d35d355f102f3f1e88f314",
 );
}


function alexa_activate()
{
 global $db;
 
 $alexa_group = array(
 "gid" => "NULL",
 "title" => "هاك صندوق اليكسا بالفوتر",
 "name" => "alexa",
 "description" => "اعدادات الهاك",
 "disporder" => "3",
 "isdefault" => "no",
 );
 
 $db->insert_query("settinggroups", $alexa_group);
 $gid = $db->insert_id();
 
 
 $alexa_setting_1 = array(
 "sid" => "NULL",
 "name" => "map_dom",
 "title" => "الدومين",
 "description" => "ضع الدومين الخاص بك(لا تضع بادئة الدومين Http:// او Www)",
 "optionscode" => "text",
 "value" => 'domain.com',
 "disporder" => '2',
 "gid" => intval($gid),
 );
 $alexa_setting_2 = array(
 "sid" => "NULL",
 "name" => "map_active",
 "title" => "تفعيل / تعطيل",
 "description" => "لتفعيل او تعطيل الهاك",
 "optionscode" => "onoff",
 "value" => "0",
 "disporder" => "1",
 "gid" => intval($gid),

 );
 $alexa_setting_3 = array(
 "sid" => "NULL",
 "name" => "map_form",
 "title" => "المظهر",
 "description" => "اختار مظهر مربع الاحصائيات وتستطيع مشاهدة امثله<a href=../../alexa.php target=_blank class=forum>من هنا</a>",
 "optionscode" => "select\r\nt/a=1\r\nt/b=2\r\nt/c=3\r\ns/a=4\r\ns/b=5\r\ns/c=6\r\n",
 "value" => '',
 "disporder" => '3',
 "gid" => intval($gid),
 );
 $alexa_setting_4 = array(
 "sid" => "NULL",
 "name" => "map_align",
 "title" => "المحاذاه",
 "description" => "اختار محاذاه مربع الاحصائيات المفضله لك",
 "optionscode" => "select\r\nleft=يسار\r\ncenter=الوسط\r\nright=يمين",
 "value" => 'center',
 "disporder" => '4',
 "gid" => intval($gid),
 );
 
 $db->insert_query("settings", $alexa_setting_1);
 $db->insert_query("settings", $alexa_setting_2);
 $db->insert_query("settings", $alexa_setting_3);
 $db->insert_query("settings", $alexa_setting_4);
 rebuildsettings();


 $new_template = array(
 "sid" => "NULL",
 "title" => "alexa",
 "template" => $db->escape_string('<hr><div style=text-align: {$mybb->settings[\'map_align\']}; font-size: 10px;>\r\n<A href=http://www.alexa.com/siteinfo/{$mybb->settings[\'map_dom\']}><SCRIPT type=text/javascript language=JavaScript src=http://xslt.alexa.com/site_stats/js/{$mybb->settings[\'map_form\']}?url={$mybb->settings[\'map_dom\']}></SCRIPT></A>\r\n<br /> Powered By <a href=http://www.aryan-translators.ir target=blank>Hamed.Ramzi</a><br /> تعريب <a href=http://www.mybbarab.com target=blank>الدعم العربي</a></div>'),
 "sid" => "-1",
 "version" => "100.07",
 "status" => "0",
 "dateline" => time(),
 ); 
 $db->insert_query("templates", $new_template);

// Add Alexa to the footer 
 require MYBB_ROOT.'/inc/adminfunctions_templates.php';
 find_replace_templatesets("footer", '#'.preg_quote('<!-- End powered by -->').'#', '<!-- End powered by --><br>{$alexa_code} ');

 $new_template = array(
 "sid" => "NULL",
 "title" => "widgets",
 "template" => $db->escape_string('\r\n<html>\r\n<head>\r\n<title>ALEXA WIDGETS</title>\r\n{$headerinclude}\r\n</head>\r\n<body>\r\n{$header}\r\n<table border=0 cellspacing={$theme[\'borderwidth\']} cellpadding={$theme[\'tablespace\']} class=tborder style=clear: both;>\r\n<tr>\r\n<td class=thead align=center>ALEXA WIDGETS</td>\r\n</tr>\r\n<tr>\r\n<td class=thead colspan=2><font style=color:red>code 1</font> | Small Button  (120 x 65)<br /><A href=http://www.alexa.com/siteinfo/{$mybb->settings[\'bburl\']}><SCRIPT type=text/javascript language=JavaScript src=http://xslt.alexa.com/site_stats/js/t/a?url={$mybb->settings[\'bburl\']}></SCRIPT></A></td>\r\n<td><font style=color:red>code 2</font> | Regular Button  (120 x 90)<br /><A href=http://www.alexa.com/siteinfo/{$mybb->settings[\'bburl\']}><SCRIPT type=text/javascript language=JavaScript src=http://xslt.alexa.com/site_stats/js/t/b?url={$mybb->settings[\'bburl\']}></SCRIPT></A></td>\r\n</tr>\r\n<tr>\r\n<td class=thead colspan=2><font style=color:red>code 3</font> | Banner  (468 x 60)<br /><A href=http://www.alexa.com/siteinfo/{$mybb->settings[\'bburl\']}><SCRIPT type=text/javascript language=JavaScript src=http://xslt.alexa.com/site_stats/js/t/c?url={$mybb->settings[\'bburl\']}></SCRIPT></A></td>\r\n<td><font style=color:red>code 4</font> | Button  (120 x 95)<br /><A href=http://www.alexa.com/siteinfo/{$mybb->settings[\'bburl\']}><SCRIPT type=text/javascript language=JavaScript src=http://xslt.alexa.com/site_stats/js/s/a?url={$mybb->settings[\'bburl\']}></SCRIPT></A></td>\r\n</tr>\r\n<tr>\r\n<td class=thead colspan=2><font style=color:red>code 5</font> | Vertical Banner  (120 x 240)<br /><A href=http://www.alexa.com/siteinfo/{$mybb->settings[\'bburl\']}><SCRIPT type=text/javascript language=JavaScript src=http://xslt.alexa.com/site_stats/js/s/b?url={$mybb->settings[\'bburl\']}></SCRIPT></A></td>\r\n<td><font style=color:red>code 6</font> | Banner  (468 x 60)<br /><A href=http://www.alexa.com/siteinfo/{$mybb->settings[\'bburl\']}><SCRIPT type=text/javascript language=JavaScript src=http://xslt.alexa.com/site_stats/js/s/c?url={$mybb->settings[\'bburl\']}></SCRIPT></A></td>\r\n</tr\r\n<tr class=thead colspan=1><center><td>POWERED BY <A href=http://www.aryan-translators.ir>ARYAN TRANSLATORS.IR</a></td></center></tr>\r\n</table>\r\n{$footer}\r\n</body>\r\n</html>'),
 "sid" => "-1",
 "version" => "100.07",
 "status" => "0",
 "dateline" => time(),
 );
 $db->insert_query("templates", $new_template);

}

function alexa_deactivate()
{
 global $db;

 $query = $db->query("SELECT gid FROM ".TABLE_PREFIX."settinggroups WHERE name='alexa'");
 $g = $db->fetch_array($query);
 $db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE gid='".$g['gid']."'");
 $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='map_align'");
 $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='map_form'");
 $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='map_active'");
 $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='map_dom'");
 rebuildsettings();

 $db->query("DELETE FROM ".TABLE_PREFIX."templates WHERE title ='alexa'");
 $db->query("DELETE FROM ".TABLE_PREFIX."templates WHERE title ='widgets'");

// remove plugin from footer template

 require MYBB_ROOT.'/inc/adminfunctions_templates.php';
 find_replace_templatesets("footer", '#<br>{\$alexa_code}#', '',0);

}

function alexa_start()
{
 global $db, $mybb, $config, $settings, $templates;
 global $alexa_code;

  
 if($mybb->settings['map_active'] == "1"){
  eval("\$alexa_code = \"".$templates->get("alexa")."\";");
 }

}
?>